# PhasicFlow: src/phasicFlow/containers/Map/Map/Map.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

Map.hpp File Reference
Include dependency graph for Map.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Map< Key, T, Compare >

## Namespaces

| pFlow

## Typedefs

template<typename T >
using | wordMap = Map< word, T >
template<typename T >
using | uint64Map = Map< uint64, T >
template<typename T >
using | uint32Map = Map< uint32, T >
template<typename T >
using | int32Map = Map< int32, T >
template<typename T >
using | int64Map = Map< int64, T >

## Functions

template<typename T >
iOstream & | printKeys (iOstream &os, const wordMap< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const uint64Map< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const uint32Map< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const int32Map< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const int64Map< T > &m)